Salvar uma empresa

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/company/save

Salva ou atualiza uma empresa na base de dados.

application/json

Body Required

obj

  • active boolean
  • address string
  • cep string
  • city string
  • cnpj string
  • companyName string
  • complement string
  • contractSignature integer(int64)
  • country string
  • createdAt string(date-time)
  • createdBy string
  • dateEndPilot string(date-time)
  • defaultLocale string
  • email string
  • groupCompany object
    Hide groupCompany attributes Show groupCompany attributes object
    • active boolean
    • companyName string Required
    • createdAt string(date-time)
    • createdBy string
    • id integer(int64)
    • updatedAt string(date-time)
    • updatedBy string
  • id integer(int64)
  • nameContact string
  • neighborhood string
  • number string
  • phoneContact string
  • sgemnet string
  • site string
  • sku string
  • state string
  • stateRegistration string
  • timeHistory integer(int64)
  • tradeName string
  • updatedAt string(date-time)
  • updatedBy string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean
    • address string
    • cep string
    • city string
    • cnpj string
    • companyName string
    • complement string
    • contractSignature integer(int64)
    • country string
    • createdAt string(date-time)
    • createdBy string
    • dateEndPilot string(date-time)
    • defaultLocale string
    • email string
    • groupCompany object
      Hide groupCompany attributes Show groupCompany attributes object
      • active boolean
      • companyName string Required
      • createdAt string(date-time)
      • createdBy string
      • id integer(int64)
      • updatedAt string(date-time)
      • updatedBy string
    • id integer(int64)
    • nameContact string
    • neighborhood string
    • number string
    • phoneContact string
    • sgemnet string
    • site string
    • sku string
    • state string
    • stateRegistration string
    • timeHistory integer(int64)
    • tradeName string
    • updatedAt string(date-time)
    • updatedBy string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/company/save
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/company/save' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"active":true,"address":"string","cep":"string","city":"string","cnpj":"string","companyName":"string","complement":"string","contractSignature":42,"country":"string","createdAt":"2026-05-04T09:42:00Z","createdBy":"string","dateEndPilot":"2026-05-04T09:42:00Z","defaultLocale":"string","email":"string","groupCompany":{"active":true,"companyName":"string","createdAt":"2026-05-04T09:42:00Z","createdBy":"string","id":42,"updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string"},"id":42,"nameContact":"string","neighborhood":"string","number":"string","phoneContact":"string","sgemnet":"string","site":"string","sku":"string","state":"string","stateRegistration":"string","timeHistory":42,"tradeName":"string","updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string"}'
Request examples
{
  "active": true,
  "address": "string",
  "cep": "string",
  "city": "string",
  "cnpj": "string",
  "companyName": "string",
  "complement": "string",
  "contractSignature": 42,
  "country": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "dateEndPilot": "2026-05-04T09:42:00Z",
  "defaultLocale": "string",
  "email": "string",
  "groupCompany": {
    "active": true,
    "companyName": "string",
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string"
  },
  "id": 42,
  "nameContact": "string",
  "neighborhood": "string",
  "number": "string",
  "phoneContact": "string",
  "sgemnet": "string",
  "site": "string",
  "sku": "string",
  "state": "string",
  "stateRegistration": "string",
  "timeHistory": 42,
  "tradeName": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}
Response examples (200)
{
  "active": true,
  "address": "string",
  "cep": "string",
  "city": "string",
  "cnpj": "string",
  "companyName": "string",
  "complement": "string",
  "contractSignature": 42,
  "country": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "dateEndPilot": "2026-05-04T09:42:00Z",
  "defaultLocale": "string",
  "email": "string",
  "groupCompany": {
    "active": true,
    "companyName": "string",
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string"
  },
  "id": 42,
  "nameContact": "string",
  "neighborhood": "string",
  "number": "string",
  "phoneContact": "string",
  "sgemnet": "string",
  "site": "string",
  "sku": "string",
  "state": "string",
  "stateRegistration": "string",
  "timeHistory": 42,
  "tradeName": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}